package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("下发菜谱详情")
public class IssueRecipeDetailCompressVO implements Serializable {
   @ApiModelProperty("菜谱详情id")
   private Long detailId;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("优惠价")
   private Integer prefPrice;
   @ApiModelProperty("销售价格")
   private Integer salePrice;
   @ApiModelProperty("供应数量")
   private Integer  supplyNum;
   @ApiModelProperty("剩余数量")
   private Integer  surplusNum;
   @ApiModelProperty("个人限购数量")
   private Integer  restrictNum;

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public Integer getPrefPrice() {
      return this.prefPrice;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setPrefPrice(final Integer prefPrice) {
      this.prefPrice = prefPrice;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public Integer getSupplyNum() {
      return supplyNum;
   }

   public void setSupplyNum(Integer supplyNum) {
      this.supplyNum = supplyNum;
   }

   public Integer getSurplusNum() {
      return surplusNum;
   }

   public void setSurplusNum(Integer surplusNum) {
      this.surplusNum = surplusNum;
   }

   public Integer getRestrictNum() {
      return restrictNum;
   }

   public void setRestrictNum(Integer restrictNum) {
      this.restrictNum = restrictNum;
   }
}